{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('notification/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('notification/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap gap-3">
        <span class="text-primary fs-5 align-self-center">Meine Nachrichten <span class="text-secondary">({{ notifications|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#notification_filter" aria-expanded="false" aria-controls="notification_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
            {% if notificationFilter.isFilterActive() %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Filter aktiv</span>
                </span>
            {% endif %}
        </button>
    </div>
    <div class="collapse bg-white" id="notification_filter">
        <div class="p-4">
            <div class="row">
                <div class="col-lg-8 col-md-6">
                    <div class="d-flex pe-5 border-bottom mb-3">
                        <span class="fs-5 me-5 mb-2">Benachrichtigungsart</span>
                    </div>
                    {{ form_start(notificationFilterForm) }}
                    <div class="row mb-2">
                        {% for notificationType in notificationFilterForm.notificationTypes %}
                            <div class="col-lg-4 col-md-6">
                                {{ form_row(notificationType) }}
                            </div>
                        {% endfor %}
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="d-flex pe-5 border-bottom mb-3">
                        <span class="fs-5 me-5 mb-2">Status</span>
                    </div>
                    {% for readStatus in notificationFilterForm.readStatus %}
                    <div class="col">
                        {{ form_row(readStatus) }}
                    </div>
                    {% endfor %}
                </div>
            </div>
            <div class="pt-2">
                {{ form_widget(notificationFilterForm.apply, {'label': 'übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                {{ form_widget(notificationFilterForm.reset, {'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            </div>
            {{ form_row(notificationFilterForm._token) }}
            {{ form_end(notificationFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        {% if notifications is empty %}
            <div class="mdc-card p-4 mb-4 text-center">
                Derzeit gibt es keine Nachrichten{% if notificationFilter.isFilterActive() %}, die Ihren Filterkriterien entsprechen{% endif %}.
            </div>
        {% else %}
            <div class="mdc-card mb-4">
                {% include 'notification/component/notification_list_component.html.twig' with {
                    'idPrefix': 'notification_',
                    'listItems': notifications,
                    'massOperation': true,
                    'pagination': true,
                    'sortable': true,
                    'showListItemActionButtons': true,
                    'actionChoices': [
                        {'label': 'Löschen', 'value': path('notification_mass_operation_delete')},
                        {'label': 'Gelesen', 'value': path('notification_mass_operation_had_read')},
                        {'label': 'Ungelesen', 'value': path('notification_mass_operation_unread')},
                    ]
                } only %}
            </div>
        {% endif %}
    </div>
{% endblock %}
